import nltk

from JarvisML.utils.logger.log_entry_exit import log_entry_exit


class Tokenize:

    @log_entry_exit(log_time=False)
    def run(self, data, **kwargs):
        processed_data = []
        for text in data:
            tokenized_words = nltk.word_tokenize(text, **kwargs)
            processed_data.append(' '.join(tokenized_words))

        return processed_data
