from setuptools import setup
import setuptools

with open("JarvisML/README.md", "r") as fh:
    long_description = fh.read()
setup(
    name="JarvisML",
    version="0.0.1",
    packages=setuptools.find_packages(),
    long_description=long_description,
    install_requires=[
        'scipy',
        'librosa',
        'numpy',
        'pandas',
        'deep_translator',
        'boto3',
        'nltk',
        'python_speech_features',
        'pydub',
        'sqlalchemy',
        'snowflake-connector-python',
        'requests',
        'langchain',
        'openai==0.28.0',
        'langdetect==1.0.9',
        'googletrans==2.4.0',
        'sentence-transformers==2.3.1',
        'scikit-learn==1.4.1.post1',
        'tqdm==4.66.2',
    ],
)