import re
from JarvisML.utils.logger.log_entry_exit import log_entry_exit


class RemovePunctuations:

    @log_entry_exit(log_time=False)
    def run(self, data, punc_regex=None, **kwargs):
        processed_data = []
        self.punc_regex = punc_regex if punc_regex else "!#%&\'()\*+,-/:;<=>?@\[\]^_`{|}~"

        for text in data:
            processed_punc_removed = re.sub('[%s]' % re.escape(self.punc_regex), ' ', text)
            processed_data.append(processed_punc_removed)

        return processed_data
