import itertools

from JarvisML.utils.logger.log_entry_exit import log_entry_exit


class StandardiseWords:

    @log_entry_exit(log_time=False)
    def run(self, data, **kwargs):
        processed_data = []
        for text in data:
            standardised_words = ''.join(''.join(s)[:2] for _, s in itertools.groupby(text))
            processed_data.append(standardised_words)

        return processed_data
