def audio_split(audio, hop_length_ms=None, clip_size_ms=10000):
    clips = []

    if hop_length_ms is None:
        hop_length_ms = clip_size_ms

    for i in range(len(audio) // hop_length_ms + 1):
        temp = audio[i * hop_length_ms: i * hop_length_ms + clip_size_ms]
        clips.append(temp)

    return clips
