
def get_transcripts(raw_data_dict):
    if type(raw_data_dict) == str:
        raw_data_dict = eval(raw_data_dict)

    try:
        if raw_data_dict.get("results",None) != None:
            if len(raw_data_dict.get("results").get("channels")) == 2:

                se_transcript = raw_data_dict["results"]["channels"][0]["alternatives"][0]["transcript"]
                lead_transcript = raw_data_dict["results"]["channels"][1]["alternatives"][0]["transcript"]

                return se_transcript, lead_transcript

            else:
                return "Mono call"
        else:
            return "Deepgram output doesn't satisfy pipeline requirements"

    except Exception as e:
        return str(e)