
def get_pretty_utterances_string(utterances):

    pretty_utterance = []
    ch_previous, text = utterances[0]['channel'], ''

    for utter in utterances:
        c, ch, t = 0, utter['channel'], utter['utterance']

        if ch == ch_previous:
            text = text + f' {t}'
        else:
            if ch_previous == '0':
                pretty_utterance.append(f'\nChannel 0: {text.strip()}')
            else:
                pretty_utterance.append(f'Channel 1: {text.strip()}')

            ch_previous = ch
            text = t

        if c == len(utterances) - 1:
            if ch_previous == '0':
                pretty_utterance.append(f'\nChannel 0: {text.strip()}')
            else:
                pretty_utterance.append(f'Channel 1: {text.strip()}')

        c += 1

    pretty_utterance = '\n'.join(pretty_utterance)
    return pretty_utterance